=== debian/changelog ===
mapserver (6.4.0-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Drop obsolete Build-Depends:
    - sharutils (AGG no longer built separately)
    - libsdl1.2-dev (AGG examples no longer built)
    - libogdi3.2-dev (no longer used)
    - libpam0g-dev (no longer used),
    - libreadline-dev (no longer used),
    - libedit-dev (no longer used),
    - libepsilon-dev (no longer used),
  * Update debian watch file:
    - Drop uupdate action
    - Handle common mistakes
  * Remove debconf translations, debconf template no longer used.

  [ Francesco Paolo Lovergine ]
  * Now build-dep on (versioned) libgdal-dev instead of (obsolete) libgdal1-dev. 
  * Added a new patch freetype2-include-dir.patch to fix problem in
    determining the correct FreeType2 include directory (why is it not using
    freetype-config?).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Dec 2013 14:42:31 +0100

mapserver (6.4.0-2) unstable; urgency=low

  * Also include mapserver-config.h and mapserver-version.h in dev package.
    Required to build MapCache with MapServer support.
  * Use php5enmod and php5dismod instead of installing the ini directly.
    (closes: #667771)
  * Add patch to export mapserver cmake package for external projects.
  * Add versioned Breaks/Replaces for dev package.
  * Drop transitional packages and Breaks/Replaces for libmapserver.
    (closes: #723979)
  * Drop unused lintian-overrides for php5-mapscript.
  * Build-Depend on libperl-dev so cmake can find PerlLibs.
    (closes: #724259)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 19 Sep 2013 19:52:12 +0200

mapserver (6.4.0-1) unstable; urgency=low

  * New upstream release: 6.4.0.
  * Build system changed from autotools to cmake.
  * Update Build-Depends to include: libgif-dev, librsvg2-dev, pkg-config.
  * Update hardening.patch for CMake build.
  * Drop patches:
    - fixmapscriptvars.patch (mapscriptvars no longer used)
    - php_segfault.patch (applied upstream)
    - mapows-contenttype.patch (applied upstream)
    - shp2img-typo.patch (applied upstream)
  * Add patch to fix the Perl mapscript module installation directory:
    perl-mapscript-install.patch
  * Drop ruby1.8 mapscript package for ruby1.8-removal transition.
  * Rename libruby-mapscript to ruby-mapscript. (closes: #722394)
  * Don't install Ruby mapscript in /usr/lib/ruby, use vendor_ruby instead.
  * SONAME of libmapserver changed from libmapserver-6.2.1.so to
    libmapserver.so.1.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Use upstream version without debian revision when generating symbols.
  * Update libmapserver symbols file for 6.4.0 on amd64.
  * Add patch to install ruby mapscript into vendorarchdir instead of archdir.
  * Enable verbose make output.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 17 Sep 2013 17:16:30 +0200
